package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.exam.EClassStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EClassStudentMapper extends TkMapper<EClassStudent> {
    //获取班级学生列表
    List<EClassStudent> listByClassIds(@Param("classids") List<Integer> classids);

    //考试学生
    List<Map> listByExamId(@Param("cs") EClassStudent cs);

    //根据考号搜索参加考试学生
    List<Map> listStudentByExamidAnExamno(@Param("examid")Integer examid,@Param("examno")String examno);

    //获取参与考试的学生集合
    List<Map> listStudentsByEpid(@Param("epid")Integer epid);

    //根据班级ids获取没有考号学生数量
    Integer getNoExamNoNumByClassIds(@Param("classids") List<Integer> classids);

    //更加考试id和学生id获取班级id
    Integer getClassidByStudentidAndExamid(@Param("examid")Integer examid,@Param("studentid")Integer studentid);

    //批量生成学生pdf报告
    void updateBatchReportstupath(@Param("list")List<EClassStudent> list);

    //考试学生列表
    List<Map> listStuByExamId(@Param("examid") Integer examid);

    //获取考试关联学校的准备考号长度
    List<Integer> listSchoolExamNoLength(@Param("classids") List<Integer> classids);
}